Subject: RE: Megaco modifies SDP

From: "Rosen, Brian" <[email-masked]>
Date: Wed, 6 Jun 2001 14:13:12 -0400

The requirement is that an implementation always accept a legal SDP.
Be strict in what you send, tolerant it what you receive is appropriate
here:

If you want to send the s=,.... go ahead
YOU MUST accept s=, t= and o=
They have no meaning in Megaco, so if you want to leave them out,
you can.

Brian

> -----Original Message-----
> From: Paul Long [mailto:[email-masked]]
> Sent: Wednesday, June 06, 2001 12:07 PM
> To: [email-masked]
> Subject: Megaco modifies SDP
> 
> 
> Why were the s=, t=, and o= SDP lines made optional even 
> though the SDP spec
> itself specifies that they are mandatory? This change means 
> that one cannot
> use a strictly (RFC2327-) compliant SDP codec with Megaco. 
> What would it
> have hurt for Megaco to use SDP unchanged? Why go to the trouble of
> effectively amending SDP?
> 
> Paul Long
> ipDialog, Inc.
>

---

From: "Paul Long" <[email-masked]>
Date: Wed, 6 Jun 2001 13:49:15 -0500

Brian,

Okay, but "legal SDP" means that the v, o, s, t, and m lines are always
present (see section 6 of RFC2327). It's contradictory to say that the s, t,
and o lines are optional _and_ that legal SDP must be accepted, because
these lines are required by legal SDP. Whatever...

Paul Long
ipDialog, Inc.

-----Original Message-----
From: Rosen, Brian [mailto:[email-masked]]
Sent: Wednesday, June 06, 2001 1:13 PM
To: 'Paul Long'; [email-masked]
Subject: RE: Megaco modifies SDP

Brian

> Paul

---

From: "Madhu Babu Brahmanapally" <[email-masked]>
Date: Wed, 6 Jun 2001 15:06:06 -0400

Hi All,
Whatever be the wording, the SDP is modified for Megaco Usage. As pointed
out by Troy allowing "$" and "*" itself changes the syntax interpretation
against the one defined in the RFC 2327. Along with the wildcards, the
statement made regarding v,o,s,t lines in the protocol is enough to say that
except for these all other SDP syntax is preserved. Except for whatever has
been specifically mentioned other fields are truly interpreted as defined in
the RFC 2327.

Regards
Madhubabu

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]]On Behalf Of Paul Long
Sent: Wednesday, June 06, 2001 2:49 PM
To: [email-masked]
Subject: RE: Megaco modifies SDP

Brian,

Paul Long
ipDialog, Inc.

-----Original Message-----
From: Rosen, Brian [mailto:[email-masked]]
Sent: Wednesday, June 06, 2001 1:13 PM
To: 'Paul Long'; [email-masked]
Subject: RE: Megaco modifies SDP

Brian